public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/logbook/
Date: Sun,  3 Jan 2016 20:34:47 +0000 (UTC)	[thread overview]
Message-ID: <1451851483.fd6fd755513759e00857255faa2d8fce7e5f1662.patrick@gentoo> (raw)

commit:     fd6fd755513759e00857255faa2d8fce7e5f1662
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  3 20:04:43 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Jan  3 20:04:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd6fd755

dev-python/logbook: Bump

Package-Manager: portage-2.2.26

 dev-python/logbook/Manifest              |  1 +
 dev-python/logbook/logbook-0.12.3.ebuild | 46 ++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/logbook/Manifest b/dev-python/logbook/Manifest
index 131e8a1..b44f978 100644
--- a/dev-python/logbook/Manifest
+++ b/dev-python/logbook/Manifest
@@ -1,2 +1,3 @@
 DIST logbook-0.10.0.tar.gz 107284 SHA256 ff227d9a48dcd539f25bdab26d36dd2ba1459bcc5ebce2926e92fecc917e5d26 SHA512 121fb5ed24a2c53b357d17d31c63c6d305014f5c9aa248df2b251e0c15ce1e7052be380b3032c3bdec0b767278b0b5d4a3f998ac596336f681ac6d353e0ed533 WHIRLPOOL 79700e9165b6c1f9ffe2f118c1033ce713a364b15ca3c1798f80c4f535411464fb329cd639ec0fb1887c542601554be444dd9e6f7b828f6bcc315af4d287f453
+DIST logbook-0.12.3.tar.gz 115932 SHA256 2f3a974d05f7e414bab529cbaa5a7b0faba661516df2e978995247066da86d23 SHA512 0b4242ec476b8e6bbcfaf6db75848e3d36b343c62a83e338a6d3fe7ec8029a0199a7dec783cf27cc2a5a4586a8b9ba938c939dc6121079525fbf608e34eefb7f WHIRLPOOL 877b25d9116af4e7752841abf17f14db830bc0d3d6fff87a552e04c6dcb0e9d80871e2853a3e259fb61491952ebfd46d31b406baab97dee8bbd76634fee9cdc2
 DIST logbook-0.9.1.tar.gz 106615 SHA256 e2f49e922c7836a58418b1cb2680e71492f45150cb968afced9f6a98222e3524 SHA512 d136dd5a7219a23a50db857919d794e7b721cc629443ac2bf92374aef68889d8a7146886fc4484c6d0dea56ec5c1c1ccca3f0b20310c2e12dba9d40dcac9c188 WHIRLPOOL adfb8bd28565ec97904c63631c55ee17613fdf2259d039baa0351df870bfa1658ebc52c8dbf69c8b94b0230577f287b215324d95b186cf38cc4d68bb1040d502

diff --git a/dev-python/logbook/logbook-0.12.3.ebuild b/dev-python/logbook/logbook-0.12.3.ebuild
new file mode 100644
index 0000000..a86c3ef
--- /dev/null
+++ b/dev-python/logbook/logbook-0.12.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A logging replacement for Python"
+HOMEPAGE="http://packages.python.org/Logbook/ https://pypi.python.org/pypi/Logbook"
+SRC_URI="https://github.com/mitsuhiko/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+	doc? ( >=dev-python/sphinx-1.1.3-r3[${PYTHON_USEDEP}] )"
+RDEPEND="
+	dev-python/redis-py[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4.0[${PYTHON_USEDEP}]"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.4.2-objectsinv.patch )
+
+python_prepare_all() {
+	# Delete test file requiring local conncetion to redis server
+	rm tests/test_queues.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	py.test tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-01-03 20:34 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-03 20:34 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-06 17:14 [gentoo-commits] repo/gentoo:master commit in: dev-python/logbook/ Justin Lecher
2016-02-18 20:44 Patrick Lauer
2016-06-29 18:49 Patrick Lauer
2017-05-02 16:41 Michał Górny
2017-05-04 18:05 Manuel Rüger
2017-09-25  0:14 Zac Medico
2018-01-05  9:36 Michał Górny
2018-01-29  1:06 Thomas Deutschmann
2018-03-18 19:19 Michał Górny
2020-02-05 16:24 Michał Górny
2020-03-27 21:06 Michał Górny
2020-04-24  6:27 Michał Górny
2020-04-27  8:33 Michał Górny
2020-04-27  8:33 Michał Górny
2020-05-17  5:29 Michał Górny
2020-05-18 15:08 Agostino Sarubbo
2020-05-18 21:13 Agostino Sarubbo
2020-10-06  8:15 Joonas Niilola
2022-10-12 12:46 Andrew Ammerlaan
2022-11-19 16:40 Sam James
2022-11-19 16:40 Sam James
2022-11-19 16:54 Michał Górny
2023-07-31  7:13 Michał Górny
2023-09-01 16:32 Arthur Zamarin
2023-09-01 16:49 Arthur Zamarin
2023-09-01 17:05 Michał Górny
2023-10-04  5:51 Michał Górny
2023-11-05 20:58 Michał Górny
2024-06-17 10:05 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451851483.fd6fd755513759e00857255faa2d8fce7e5f1662.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox